Bugzilla Error : Installation with Postgresql Database

Hello,
Can't use an undefined value as an ARRAY reference at /usr/lib64/perl5/vendor_perl/DBD/Pg.pm line 533, line 960.

/checksetup.pl

This is Bugzilla 5.0.6 on perl 5.16.3
Checking perl modules...

Checking for CGI.pm (v3.51) ok: found v4.51

Checking for Digest-SHA (any) ok: found v5.85

Checking for TimeDate (v2.23) ok: found v2.24

Checking for DateTime (v0.75) ok: found v1.54

Checking for DateTime-TimeZone (v1.64) ok: found v2.46

Checking for DBI (v1.614) ok: found v1.643

Checking for Template-Toolkit (v2.24) ok: found v3.009

Checking for Email-Sender (v1.300011) ok: found v1.300035

Checking for Email-MIME (v1.904) ok: found v1.949

Checking for URI (v1.55) ok: found v5.05

Checking for List-MoreUtils (v0.32) ok: found v0.430

Checking for Math-Random-ISAAC (v1.0.1) ok: found v1.004

Checking for JSON-XS (v2.01) ok: found v4.03

Checking available perl DBD modules...

Checking for DBD-Pg (v2.7.0) ok: found v2.19.3

Checking for DBD-mysql (v4.001) not found

Checking for DBD-SQLite (v1.29) ok: found v1.66

Checking for DBD-Oracle (v1.19) not found

The following Perl modules are optional:

Checking for GD (v1.20) ok: found v2.73

Checking for Chart (v2.4.1) ok: found v2.4.10

Checking for Template-GD (any) ok: found v1.56

Checking for GDTextUtil (any) ok: found v0.86

Checking for GDGraph (any) ok: found v1.54

Checking for MIME-tools (v5.406) ok: found v5.509

Checking for libwww-perl (any) ok: found v6.51

Checking for XML-Twig (any) ok: found v3.52

Checking for PatchReader (v0.9.6) ok: found v0.9.6

Checking for perl-ldap (any) ok: found v0.68

Checking for Authen-SASL (any) ok: found v2.16

Checking for Net-SMTP-SSL (v1.01) ok: found v1.04

Checking for RadiusPerl (any) ok: found v0.32

Checking for SOAP-Lite (v0.712) ok: found v1.27

Checking for XMLRPC-Lite (v0.712) ok: found v0.717

Checking for JSON-RPC (any) ok: found v1.06

Checking for Test-Taint (v1.06) ok: found v1.08

Checking for HTML-Parser (v3.67) ok: found v3.75

Checking for HTML-Scrubber (any) ok: found v0.19

Checking for Encode (v2.21) ok: found v3.08

Checking for Encode-Detect (any) ok: found v1.01

Checking for Email-Reply (any) ok: found v1.204

Checking for HTML-FormatText-WithLinks (v0.13) ok: found v0.15

Checking for TheSchwartz (v1.07) ok: found v1.15

Checking for Daemon-Generic (any) ok: found v0.85

Checking for mod_perl (v1.999022) ok: found v2.000011

Checking for Apache-SizeLimit (v0.96) ok: found v0.97

Checking for File-MimeInfo (any) ok: found v0.30

Checking for IO-stringy (any) ok: found v2.113

Checking for Cache-Memcached (any) ok: found v1.30

Checking for File-Copy-Recursive (any) ok: found v0.45

Checking for File-Which (any) ok: found v1.23

Checking for mod_env (any) ok

Checking for mod_expires (any) ok

Checking for mod_headers (any) ok

Checking for mod_rewrite (any) ok

Checking for mod_version (any) ok

Reading ./localconfig...

OPTIONAL NOTE: If you want to be able to use the 'difference between two

patches' feature of Bugzilla (which requires the PatchReader Perl module

as well), you should install patchutils from:

http://cyberelk.net/tim/software/patchutils/
Checking for DBD-Pg (v2.7.0) ok: found v2.19.3

Checking for PostgreSQL (v8.03.0000) ok: found v12.00.0500

Checking for DBD-Pg (v2.17.2) ok: found v2.19.3

Can't use an undefined value as an ARRAY reference at /usr/lib64/perl5/vendor_perl/DBD/Pg.pm line 533, line 960

0
RangaRajan
1/6/2021 10:35:36 AM
mozilla.support.bugzilla 10182 articles. 0 followers. Post Follow

7 Replies
379 Views

Similar Articles

[PageSpeed] 7
Get it on Google Play
Get it on Apple App Store

Guten Tag RangaRajan N,
am Mittwoch, 6. Januar 2021 um 11:35 schrieben Sie:

> Can't use an undefined value as an ARRAY reference at
> /usr/lib64/perl5/vendor_perl/DBD/Pg.pm line 533, line 960.

That's a warning only, not necessarily an error. So what's the
concrete error message or does checksetup.pl simply abort or ...?

Additionally, Perl 5.16 is pretty old and it might simply be that
things are incompatible for some reason. You should prefer a newer
Perl if possible and at least look at the mentioned line to see what
data might be missing.

Mit freundlichen Gr=FC=DFen,

Thorsten Sch=F6ning

--=20
Thorsten Sch=F6ning
AM-SoFT IT-Service - Bitstore Hameln GmbH

E-Mail:  Thorsten.Schoening@AM-SoFT.de
Web:     http://www.AM-SoFT.de/

Telefon: 05151-  9468-55
Fax:     05151-  9468-88
Mobil:    0178-8 9468-04

Firmensitz: Bitstore IT-Consulting, Frankfurter Allee 285, 10317 Berlin
Steuernummer 037/230/30566, HR 27198, Amtsgericht Potsdam Gesch=E4ftsf=FChr=
er Janine Galonska

0
windows
1/6/2021 11:26:20 AM
I recently moved to Strawberry Perl because Activestate was giving me all sorts of trouble.
0
eko
1/6/2021 2:09:28 PM
Please remove me from this mailing list

-----Original Message-----
From: support-bugzilla <support-bugzilla-bounces@lists.mozilla.org> On Beha=
lf Of eko...--- via support-bugzilla
Sent: Wednesday, January 6, 2021 9:09 AM
To: support-bugzilla@lists.mozilla.org
Subject: [EXTERNAL]-Re: Bugzilla Error : Installation with Postgresql Datab=
ase

I recently moved to Strawberry Perl because Activestate was giving me all s=
orts of trouble.
_______________________________________________
support-bugzilla mailing list
support-bugzilla@lists.mozilla.org
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put support-bugzilla@lists.mozilla.org in the To: field when you rep=
ly.
0
Austin
1/6/2021 2:48:36 PM
On Wednesday, January 6, 2021 at 4:56:34 PM UTC+5:30, Thorsten Sch=C3=B6nin=
g wrote:
> Guten Tag RangaRajan N,=20
> am Mittwoch, 6. Januar 2021 um 11:35 schrieben Sie:
> > Can't use an undefined value as an ARRAY reference at=20
> > /usr/lib64/perl5/vendor_perl/DBD/Pg.pm line 533, line 960.
> That's a warning only, not necessarily an error. So what's the=20
> concrete error message or does checksetup.pl simply abort or ...?=20
>=20
> Additionally, Perl 5.16 is pretty old and it might simply be that=20
> things are incompatible for some reason. You should prefer a newer=20
> Perl if possible and at least look at the mentioned line to see what=20
> data might be missing.=20
>=20
> Mit freundlichen Gr=C3=BC=C3=9Fen,=20
>=20
> Thorsten Sch=C3=B6ning=20
>=20
> --=20
> Thorsten Sch=C3=B6ning=20
> AM-SoFT IT-Service - Bitstore Hameln GmbH=20
>=20
> E-Mail: Thorsten....@AM-SoFT.de=20
> Web: http://www.AM-SoFT.de/=20
>=20
> Telefon: 05151- 9468-55=20
> Fax: 05151- 9468-88=20
> Mobil: 0178-8 9468-04=20
>=20
> Firmensitz: Bitstore IT-Consulting, Frankfurter Allee 285, 10317 Berlin=
=20
> Steuernummer 037/230/30566, HR 27198, Amtsgericht Potsdam Gesch=C3=A4ftsf=
=C3=BChrer Janine Galonska
Thanks for your reply. Yes , the scripts aborts .. and no further execution=
..=20
0
RangaRajan
1/6/2021 3:02:34 PM
On Wednesday, January 6, 2021 at 7:39:30 PM UTC+5:30, eko...@drawbase.com wrote:
> I recently moved to Strawberry Perl because Activestate was giving me all sorts of trouble.
Since i am in Linux O/S , i think i cannot use this version. 
0
RangaRajan
1/6/2021 3:03:49 PM
On Wednesday, January 6, 2021 at 4:56:34 PM UTC+5:30, Thorsten Sch=C3=B6nin=
g wrote:
> Guten Tag RangaRajan N,=20
> am Mittwoch, 6. Januar 2021 um 11:35 schrieben Sie:
> > Can't use an undefined value as an ARRAY reference at=20
> > /usr/lib64/perl5/vendor_perl/DBD/Pg.pm line 533, line 960.
> That's a warning only, not necessarily an error. So what's the=20
> concrete error message or does checksetup.pl simply abort or ...?=20
>=20
> Additionally, Perl 5.16 is pretty old and it might simply be that=20
> things are incompatible for some reason. You should prefer a newer=20
> Perl if possible and at least look at the mentioned line to see what=20
> data might be missing.=20
>=20
> Mit freundlichen Gr=C3=BC=C3=9Fen,=20
>=20
> Thorsten Sch=C3=B6ning=20
>=20
> --=20
> Thorsten Sch=C3=B6ning=20
> AM-SoFT IT-Service - Bitstore Hameln GmbH=20
>=20
> E-Mail: Thorsten....@AM-SoFT.de=20
> Web: http://www.AM-SoFT.de/=20
>=20
> Telefon: 05151- 9468-55=20
> Fax: 05151- 9468-88=20
> Mobil: 0178-8 9468-04=20
>=20
> Firmensitz: Bitstore IT-Consulting, Frankfurter Allee 285, 10317 Berlin=
=20
> Steuernummer 037/230/30566, HR 27198, Amtsgericht Potsdam Gesch=C3=A4ftsf=
=C3=BChrer Janine Galonska
also i am in Postgresql 12 version , do you think that this could be a prob=
lem ? dowgrade would help ?
0
RangaRajan
1/6/2021 3:24:13 PM
Guten Tag RangaRajan N,
am Mittwoch, 6. Januar 2021 um 16:24 schrieben Sie:

> also i am in Postgresql 12 version , do you think that this could
> be a problem ? dowgrade would help ?

That depends on what the actual problem is. As said, have a look at
the mentioned file at the mentioned line to get an idea about what's
the problem.

Instead of downgrading Postgres, I would consider upgrading Perl
instead. It makes me wonder anyway what kind of Linux you are using
providing such an old Perl in combination with such a new Postgres.

Mit freundlichen Gr=C3=BC=C3=9Fen,

Thorsten Sch=C3=B6ning

--=20
Thorsten Sch=C3=B6ning
AM-SoFT IT-Service - Bitstore Hameln GmbH

E-Mail:  Thorsten.Schoening@AM-SoFT.de
Web:     http://www.AM-SoFT.de/

Telefon: 05151-  9468-55
Fax:     05151-  9468-88
Mobil:    0178-8 9468-04

Firmensitz: Bitstore IT-Consulting, Frankfurter Allee 285, 10317 Berlin
Steuernummer 037/230/30566, HR 27198, Amtsgericht Potsdam Gesch=C3=A4ftsf=
=C3=BChrer Janine Galonska

0
utf
1/6/2021 3:55:56 PM
Reply: